Skip to content

Create a song

POST
/api/songs

Creates a new song in your band’s library.

object
title
required
string
>= 1 characters <= 500 characters
artist
string
<= 500 characters
key
string
<= 20 characters
tempo
integer
>= 20 <= 400
duration
integer
<= 3600
notes
string
<= 10000 characters
timeSignature
string
<= 20 characters
leadVocal
string
<= 200 characters
infoPa
string
<= 5000 characters
mediaUrl
Any of:
string format: uri
<= 500 characters
tags
Array<string>
<= 20 items
content
string
<= 100000 characters
twoColumnLayout
boolean

Song created

object
ok
required
boolean
data
required
object
id
required

UUID identifier

string format: uuid
Example
550e8400-e29b-41d4-a716-446655440000
title
required
string
artist
string
key

Musical key (e.g., Am, C, F#m)

string
tempo

BPM

integer
duration

Duration in seconds

integer
notes

Performance notes

string
timeSignature

Time signature (e.g., 4/4)

string
mediaUrl

Link to audio/video

string format: uri
tags
Array<string>
content

ChordPro formatted content (lyrics + chords)

string
leadVocal

Who sings lead

string
infoPa

Notes for sound engineer

string
twoColumnLayout
boolean
leadSheetUrl
string format: uri
updatedAt
string format: date-time
createdAt
string format: date-time

Validation error

object
ok
required
boolean
error
required
string

Unauthorized

object
ok
required
boolean
error
required
string